# This is the makefile for the UNIX/QDOS-version of LREADgui and LREADjav

# JAVA compiler: needed for lreadgui, LREAD's graphical user interface
JAVAC=javac
JAR=jar

# C compiler: needed for lreadjav, if you want to access LINUX files from
# remote clients
CC=gcc

CCFLAGS= -DUNIX

INCLUDES=makefile.unx

all:		lreadgui

lreadgui:	lreadgui.java
		$(JAVAC) lreadgui.java
		$(JAR)   -cf lreadgui.jar  *.class
		mv lreadgui.jar ../../bin.unx
		cp lreadgui.sh  ../../bin.unx/lreadgui

clean:
		rm -f *.o
		rm -f lreadjav
		rm -f *~
		rm -f *.class
		rm -f ../../bin.unx/zzz.zwz
		rm -f ../../bin.unx/zzz.xxx
		rm -f *.jar
	